@echo OFF

rem IBM ServeRAID ClearLog Utility Version 3.0
rem Last Modified on 08/27/2003, 16:09
rem Modified by TRD

SETLOCAL
if NOT EXIST IPSSEND.EXE goto showrules
if .%1.==.. goto showrules
cls

echo **************************************************************
echo *        IBM ServeRAID ClearLog Utility Version 3.0          *
echo * IPSSEND version 6.10 or higher is required to run properly *
echo **************************************************************
echo              ServeRAID Controller %1 selected
echo.
echo This script/batch file will erase the following ServeRAID Event Logs:
echo.
echo     DEVICE, SOFT, HARD and DDD (Defunct Drive List) Logs
echo.
echo You should only continue if you have been directed by IBM Technical 
echo support or if this is a new configuration.  This action will not 
echo harm the the controller, but will permanently ERASE ServeRAID event
echo logs making an analysis of previous events on the ServeRAID subsystem
echo impossible. 
echo.
echo Do you want to clear the logs for ServeRAID Controller %1%?
echo .
echo hit CTRL-C to Cancel or Enter to erase the Logs
echo.
PAUSE

echo.
echo Clearing logs for ServeRAID Adapter %1%
echo.

ipssend eraseevent %1 all

echo.
echo.
echo **************************************************************
echo ServeRAID Controller %1% Logs cleared successfully.
echo **************************************************************
GOTO EXIT

:showrules
echo.
echo **************************************************************
echo *        IBM ServeRAID ClearLog Utility Version 3.0          *
echo * IPSSEND version 6.10 or higher is required to run properly *
echo **************************************************************
echo.
echo  usage is:
echo       CLEARLOG [n]
echo.
echo  where:
echo              n - ServeRAID adapter number
echo.
echo  Note:  IPSSEND.EXE version 6.10 or higher must be in the same directory 
echo         as this batch/script file.  To determine the version of IPSSEND,
echo         run the IPSSEND command without any parameters.
echo.
echo.
echo. example:  CLEARLOG 1
echo.
echo.
goto exit

:exit
